#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# Descriptor Class

Defined in: `packages/ember-metal/lib/properties.js:13`
Module: ember-metal

Objects of this type can implement an interface to respond to requests to get and set. The default implementation handles simple properties.

- Index
- Methods

## Item Index

### Methods

- deprecateProperty

## Methods

### `deprecateProperty`

(

- `object`
- `deprecatedKey`
- `newKey`

)
private

Defined in `packages/ember-metal/lib/deprecate_property.js:11`

Available since 1.7.0

Used internally to allow changing properties in a backwards compatible way, and print a helpful deprecation warning.

#### Parameters:

- `object` Object

  The object to add the deprecated property to.

- `deprecatedKey` String

  The property to add (and print deprecation warnings upon accessing).

- `newKey` String

  The property that will be aliased.